
Name:           wv2
Epoch:          1
Version:        0.4.1
Release:        3%{?dist}
Summary:        A library which allows access to Microsoft Word files

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://wvware.sourceforge.net
Source0:        http://downloads.sourceforge.net/sourceforge/wvware/wv2-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# see bug #192291
Patch2: wv2-0.4.0-extra_libs.patch
# see bug #343451
Patch3: wv2-0.4.0-multilib.patch

BuildRequires: cmake
BuildRequires: libgsf-devel
BuildRequires: libxml2-devel
BuildRequires: pkgconfig
BuildRequires: glib2-devel
BuildRequires: zlib-devel

%description
wv is a library which allows access to Microsoft Word files. It can load and
parse Word 2000, 97, 95 and 6 file formats. (These are the file formats known
internally as Word 9, 8, 7 and 6.) There is some support for reading earlier
formats as well: Word 2 docs are converted to plaintext. 

%package devel
Summary:        Development tools for programs which will use the wv2 library
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       libgsf-devel
Requires:       glib2-devel
Requires:       libxml2-devel
%description devel 
The wv2-devel package includes the header files necessary for developing.


%prep
%setup -q

%patch2 -p1 -b .extra_libs
%patch3 -p1 -b .multilib


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# unpackaged files
rm -f %{buildroot}%{_libdir}/lib*.la


%check
pushd %{_target_platform}
# checks currently fail on ppc64, appears to be a toolchain prob
%ifarch ppc64
make -k test -C ||:
%else
make -k test
%endif
popd


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig 


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LIB README RELEASE THANKS TODO
%{_libdir}/libwv2.so.4*
%dir %{_libdir}/wvWare/

%files devel
%defattr(-,root,root,-)
%doc doc/*
%{_bindir}/wv2-config
%{_libdir}/libwv2.so
%{_libdir}/wvWare/wv2-noconfig.cmake
%{_libdir}/wvWare/wv2.cmake
%{_includedir}/wv2/


%changelog
* Thu Oct 22 2009 Rex Dieter <rdieter@fedoraproject.org> - 1:0.4.1-3
- fix epoch-related deps

* Thu Oct 22 2009 Rex Dieter <rdieter@fedoraproject.org> - 1:0.4.1-2
- Epoch: 1

* Fri Oct 09 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.4.1-1
- wv2-0.4.1 (ABI bump)

* Fri Sep 11 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.4.0-1
- wv2-0.4.0

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 22 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0.2.3-7
- fix gcc43 build (#433999)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.3-6
- Autorebuild for GCC 4.3

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0.2.3-5
- Rebuilt for gcc43

* Fri Jan 04 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.3-4
- fix #343451 multiarch

* Thu Aug 23 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.3-3
- new license tag
- rebuild for buildid

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.3-2
- FE6 rebuild
- fix BR

* Sun Jun 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.3-1
- version upgrade
- fix #195019 (CVE-2006-2197)

* Wed Mar 22 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-9
- bump for libgsf

* Tue Feb 21 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-8
- Fix #19229{1,3}
- Tune configure

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-7
- Rebuild for Fedora Extras 5

* Tue Dec 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-6
- rebuild

* Tue Jul 05 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-5
- add dist tag

* Fri Jul 01 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-4
- add some Requires for the devel package
- changed some files around
- added missing defattr to devel package

* Thu Jun 30 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-3
- drop explicit Requires for ldconfig

* Wed Jun 29 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-2
- added trademarks
- added missing ldconfig

* Sun Jun 26 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.2.2-1
- Initial Release
